
QGIS Application - Bug report #19620

Couldn't load plugin QuickOSM due to an error when calling its classFactory() method 

2018-08-14 04:36 AM - Rodney Hartings

Status: Rejected

Priority: Normal

Assignee: Borys Jurgiel

Category: Plugin Manager

Affected QGIS version:2.18.17 Regression?: Yes

Operating System: Ubuntu 18.04.1 LTS 64-bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 27447

Description

Trying to install QuickOSM on QGis on Ubuntu 18.04.1 LTS 64-bit and getting the error below.

Couldn't load plugin QuickOSM due to an error when calling its classFactory() method

ImportError: cannot import name QtWebKit 

Traceback (most recent call last):

  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 333, in startPlugin

    plugins[packageName] = package.classFactory(iface)

  File "/home/hotrod7810/.qgis2/python/plugins/QuickOSM/__init__.py", line 27, in classFactory

    from quick_osm import QuickOSM

  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 607, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/home/hotrod7810/.qgis2/python/plugins/QuickOSM/quick_osm.py", line 34, in 

    from QuickOSM.ui.main_window_dialog import MainWindowDialog

  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 607, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/home/hotrod7810/.qgis2/python/plugins/QuickOSM/ui/main_window_dialog.py", line 28, in 

    from main_window import Ui_ui_main_window

  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 607, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/home/hotrod7810/.qgis2/python/plugins/QuickOSM/ui/main_window.py", line 431, in 

    from PyQt4 import QtWebKit

ImportError: cannot import name QtWebKit

Python version: 2.7.15rc1 (default, Apr 15 2018, 21:51:34) [GCC 7.3.0] 

QGIS version: 2.18.17 Las Palmas, exported

Python Path:

/usr/share/qgis/python

/home/hotrod7810/.qgis2/python

/home/hotrod7810/.qgis2/python/plugins

/usr/share/qgis/python/plugins

/usr/lib/python2.7

/usr/lib/python2.7/plat-x86_64-linux-gnu

/usr/lib/python2.7/lib-tk

/usr/lib/python2.7/lib-old

/usr/lib/python2.7/lib-dynload

/usr/local/lib/python2.7/dist-packages

/usr/lib/python2.7/dist-packages
/home/hotrod7810/.qgis2//python

History

#1 - 2018-08-14 04:42 AM - Nyall Dawson

- Resolution set to invalid

- Status changed from Open to Rejected

Not a bug in qgis itself - please file with the QuickOSM author/bug tracker
